/** @type {import('tailwindcss').Config} */
const generateSpacingMap = () => {
  const tmpList = {};
  for (let index = 0; index < 500; index++) {
    tmpList[index] = `${index}px`;
  }
  return tmpList;
};
module.exports = {
  content: [
    "./src/components/**/*.{js,vue,ts}",
    "./src/layouts/**/*.vue",
    "./src/pages/**/*.vue",
    "./src/plugins/**/*.{js,ts}",
    "./src/app.vue",
  ],
  theme: {
    spacing: generateSpacingMap(),
    fontSize: {
      sm: "12px",
      base: "14px",
      xl: "16px",
      "2xl": "18px",
      "3xl": "20px",
      "4xl": "22px",
      "5xl": "24px",
      "6xl": "26px",
      "7xl": "28px",
      "8xl": "30px",
    },
    lineHeight: {
      sm: "12px",
      base: "14px",
      xl: "16px",
      "2xl": "18px",
      "3xl": "20px",
      "4xl": "22px",
      "5xl": "24px",
      "6xl": "26px",
      "7xl": "28px",
      "8xl": "30px",
    },
    borderRadius: {
      sm: "2px",
      DEFAULT: "4px",
      md: "6px",
      lg: "8px",
      xl: "10px",
      "2xl": "12px",
      full: "9999px",
    },
    extend: {
      colors: {
        primary: "#FE8E2C",
        "black-3": "#333333",
        "black-6": "#666666",
        "black-9": "#999999",
        "black-c": "#cccccc",
        "black-d": "#dddddd",
        "black-e": "#eeeeee",
        "black-f5": "#f5f5f5",
        "black-fa": "#fafafa",
        "black-ed": "#EDEDED",
        "black-a3": "#a3a3a3",
        "black-f9": "#f9f9f9",
        "black-f3": "#f3f3f3",
        "black-f4": "#f4f4f4",
        "black-a": "#aaaaaa",
      },
      fontFamily: {
        youSheBiaoti: ["YouSheBiaoTiHei"],
        DIN: ["DINAlternate-Bold, DINAlternate"],
      },
      letterSpacing: {
        1: "1px",
      },
    },
  },
  plugins: [],
};
